Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.query
Class SynchronizeQueryCallback

    java.lang.Object
      edu.stanford.smi.protege.model.query.SynchronizeQueryCallback

All Implemented Interfaces:
  Localizable, QueryCallback

    public class SynchronizeQueryCallback

extends Object
implements QueryCallback, Localizable

This class is a QueryCallback that provides utilities for making the asynchronous executeQuery() call synchronous. The caller sequence should look like this SynchronizeQueryCallback callback = new SynchronizeQueryCallback(); executeQuery(query, callback); return callback.waitForResults():

Constructor Summary
`SynchronizeQueryCallback(Object kbLock)`

Method Summary
`void` | `handleError(OntologyException oe)`
`void` | `handleError(ProtegeError pe)`
`void` | `handleError(ProtegeIOException ioe)`
`void` | `localize(KnowledgeBase kb)`
`void` | `provideQueryResults(Collection<Frame> frames)`
`Collection<Frame>` | `waitForResults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizeQueryCallback

    public SynchronizeQueryCallback(Object kbLock)

Method Detail

### provideQueryResults

    public void provideQueryResults(Collection<Frame> frames)

  Specified by:
    `provideQueryResults` in interface `QueryCallback`

### handleError

    public void handleError(OntologyException oe)

  Specified by:
    `handleError` in interface `QueryCallback`

### handleError

    public void handleError(ProtegeIOException ioe)

  Specified by:
    `handleError` in interface `QueryCallback`

### handleError

    public void handleError(ProtegeError pe)

  Specified by:
    `handleError` in interface `QueryCallback`

### waitForResults

    public Collection<Frame> waitForResults()
                                     throws OntologyException,
                                            ProtegeIOException

  Throws:
    `OntologyException`
    `ProtegeIOException`

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.